using SqlSugar;
using Volo.Abp.Domain.Entities;

namespace NPin.Framework.Upms.Domain.Entities;

[SugarTable("RelUserPost","用户-岗位 关系表")]
public class UserPostEntity: Entity<Guid>
{
    [SugarColumn(IsPrimaryKey = true)]
    public override Guid Id { get; protected set; }
    
    [SugarColumn(ColumnDescription = "用户ID")]
    public Guid UserId { get; set; }
    
    [SugarColumn(ColumnDescription = "岗位ID")]
    public Guid PostId { get; set; }
}